import { Routes } from '@angular/router';

export const routes: Routes = [
  {
    path: "dashboard",
    loadComponent:()=>import("./page-dashboard/page-dashboard").then(m=>m.PageDashboard)
  },
  {
    path: "monitor",
    loadComponent:()=>import("./page-monitor/page-monitor").then(m=>m.PageMonitor)
  },
  {
    path: "ai",
    loadComponent:()=>import("./page-ai/page-ai").then(m=>m.PageAi)
  },
  {
    path: "device",
    loadComponent:()=>import("./page-device/page-device").then(m=>m.PageDevice)
  },
  {
    path: "history",
    loadComponent:()=>import("./page-history/page-history").then(m=>m.PageHistory)
  },
  {
    path: "report",
    loadComponent:()=>import("./page-report/page-report").then(m=>m.PageReport)
  },
];
